Monetization Policies
Transition Period Note: While we transition to the new API, you must combine these endpoints with legacy endpoints
(e.g., POST /content/release/retail/save) to ensure the distribution workflow is completed successfully.
Use the endpoints listed on this page to manage monetization policies for releases and their tracks. Unlike previous versions of the API, this version supports setting unique monetization policies for individual tracks across specific UGC distribution stores (YouTube Content ID, TikTok, Facebook).
Distribution Requirements
Mandatory Configuration: To successfully distribute a release to UGC stores (YouTube, Facebook, TikTok), every track on the release must have a monetization policy assigned. If any track on the release is missing a policy for a specific store, the delivery to that store won’t be possible.
Understanding Policies
Monetization policies instruct DSPs (Digital Service Providers) that host User Generated Content (UGC) on how to handle your sound recordings when they are detected in user uploads (videos, posts, etc.).
Policy Defaults & Ordering
When retrieving policies, you will see an order field.
- UI Sorting: This is primarily used for sorting in the web interface.
- Default Indication: A value of
1indicates this is the “Default” policy for that store. - API Usage: Note that the API does not automatically apply these defaults. You must explicitly send the
policyIdsfor every track, even if you are selecting the default policy.
How to find Asset IDs
When setting policies, you must refer to tracks by their assetId, not their standard trackId. An assetId is a
general identifier within the system that can represent either a Release or a Track.
You can find the assetId for your content in the response of the following endpoints:
GET api.revelator.com/content/release/{releaseId}(Found on the track objects)GET api.revelator.com/content/track/{trackId}GET api.revelator.com/content/track/allGET api.revelator.com/content/track/all/summary
Monetization Policy Descriptions
Use the table below to identify the correct policy IDs for your needs.
| Policy Name | ID | Store (ID) | Description |
|---|---|---|---|
| Monetize in all countries | 11 | YT CID (307) | (Default) Monetize matching videos worldwide. |
| Track in all countries | 10 | YT CID (307) | Track usage worldwide (analytics only), without monetizing. |
| Not Eligible | 35 | YT CID (307) | Do not send the track to YouTube Content ID. |
| Custom Policy | N/A | YT CID (307) | Tenant-specific YouTube Content ID policy (configured per account). Contact support for changes. |
| Claim Ad earnings | 2 | FRM (310) | (Default) Monetize matching videos on Facebook/Instagram. |
| Block | 1 | FRM (310) | Block videos that match this track on Facebook/Instagram. |
| Monitor | 3 | FRM (310) | Track matching usage and provide analytics (no monetization). |
| Not Eligible | 37 | FRM (310) | Do not send the track to Instagram/Facebook Rights Manager. |
| Monetize | 5 | TT (319) | (Default) Deliver to TikTok library + enable scanning and monetize matches. |
| Library only | 6 | TT (319) | Provide your sound recording to TikTok’s audio library for inclusion in videos, but do not enable scanning for videos in which it is embedded. Previously named NoTikTokScanning.Use this when your track does not meet the suitability requirements. |
| Not Eligible | 36 | TT (319) | Do not send the track to TikTok. |
| BlockAccess | 4 | TT (319) | Deliver to TikTok library + enable scanning and block matches. |
Get Monetization Policies
/supply-chain/v1/monetization-policies Retrieves a list of all available monetization policies.
Responses
object[] monetizationPolicyId integer name string | null code string | null distributorStoreId integer order integer | null /supply-chain/v1/monetization-policies curl -X GET "https://platform.revelator.com/supply-chain/v1/monetization-policies" -H "Authorization: Bearer YOUR_ACCESS_TOKEN" curl -X GET "https://platform.revelator.com/supply-chain/v1/monetization-policies" -H "Authorization: Bearer YOUR_ACCESS_TOKEN" Example response 200
[
{
"monetizationPolicyId": 11,
"name": "Monetize in all countries",
"code": "Monetize in all countries",
"distributorStoreId": 307,
"order": 1
}
] [
{
"monetizationPolicyId": 11,
"name": "Monetize in all countries",
"code": "Monetize in all countries",
"distributorStoreId": 307,
"order": 1
}
] Get Release Monetization Policies
/supply-chain/v1/releases/{releaseId}/monetization-policies Retrieves the list of currently assigned monetization policies for a specific release and its tracks.
Path Parameters
| Parameter | Description |
|---|---|
releaseId * integer | - |
Responses
object[] assetId integer assetType AssetTypes Track monetizationPolicies MonetizationPoliciesResult[] monetizationPolicyId integer name string | null code string | null distributorStoreId integer order integer | null /supply-chain/v1/releases/{releaseId}/monetization-policies curl -X GET "https://platform.revelator.com/supply-chain/v1/releases/824612/monetization-policies" -H "Authorization: Bearer YOUR_ACCESS_TOKEN" curl -X GET "https://platform.revelator.com/supply-chain/v1/releases/824612/monetization-policies" -H "Authorization: Bearer YOUR_ACCESS_TOKEN" Example response 200
[
{
"assetId": 4550318,
"assetType": "track",
"monetizationPolicies": [
{
"monetizationPolicyId": 2,
"name": "Claim Ad Earnings",
"code": "Claim Ad Earnings",
"distributorStoreId": 310,
"order": null
},
{
"monetizationPolicyId": 10,
"name": "Track in all countries",
"code": "Track in all countries",
"distributorStoreId": 307,
"order": null
},
{
"monetizationPolicyId": 5,
"name": "Monetize",
"code": "Monetize",
"distributorStoreId": 319,
"order": null
}
]
}
] [
{
"assetId": 4550318,
"assetType": "track",
"monetizationPolicies": [
{
"monetizationPolicyId": 2,
"name": "Claim Ad Earnings",
"code": "Claim Ad Earnings",
"distributorStoreId": 310,
"order": null
},
{
"monetizationPolicyId": 10,
"name": "Track in all countries",
"code": "Track in all countries",
"distributorStoreId": 307,
"order": null
},
{
"monetizationPolicyId": 5,
"name": "Monetize",
"code": "Monetize",
"distributorStoreId": 319,
"order": null
}
]
}
] Get Asset Monetization Policies
/supply-chain/v1/assets/{assetId}/monetization-policies Retrieves the list of monetization policies for a specific track (asset) based on its assetId.
Path Parameters
| Parameter | Description |
|---|---|
assetId * integer | - |
Responses
object[] monetizationPolicyId integer name string | null code string | null distributorStoreId integer order integer | null /supply-chain/v1/assets/{assetId}/monetization-policies curl -X GET "https://platform.revelator.com/supply-chain/v1/assets/4511247/monetization-policies" -H "Authorization: Bearer YOUR_ACCESS_TOKEN" curl -X GET "https://platform.revelator.com/supply-chain/v1/assets/4511247/monetization-policies" -H "Authorization: Bearer YOUR_ACCESS_TOKEN" Example response 200
[
{
"monetizationPolicyId": 2,
"name": "Claim Ad Earnings",
"code": "Claim Ad Earnings",
"distributorStoreId": 310,
"order": null
},
{
"monetizationPolicyId": 10,
"name": "Track in all countries",
"code": "Track in all countries",
"distributorStoreId": 307,
"order": null
},
{
"monetizationPolicyId": 5,
"name": "Monetize",
"code": "Monetize",
"distributorStoreId": 319,
"order": null
}
] [
{
"monetizationPolicyId": 2,
"name": "Claim Ad Earnings",
"code": "Claim Ad Earnings",
"distributorStoreId": 310,
"order": null
},
{
"monetizationPolicyId": 10,
"name": "Track in all countries",
"code": "Track in all countries",
"distributorStoreId": 307,
"order": null
},
{
"monetizationPolicyId": 5,
"name": "Monetize",
"code": "Monetize",
"distributorStoreId": 319,
"order": null
}
] Set Release Monetization Policies
/supply-chain/v1/releases/{releaseId}/monetization-policies Sets monetization policies for assets (tracks) on a specific release.
Path Parameters
| Parameter | Description |
|---|---|
releaseId * integer | ID of the release for which you want to set monetization policies. |
Request Body *
object[] assetId integer policyIds integer[] Responses
boolean /supply-chain/v1/releases/{releaseId}/monetization-policies curl -X PUT https://platform.revelator.com/supply-chain/v1/releases/822602/monetization-policies \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"assetId": 4511247,
"policyIds": [
2,10,5
]
},
{
"assetId": 4511248,
"policyIds": [
2,11,6
]
}
] curl -X PUT https://platform.revelator.com/supply-chain/v1/releases/822602/monetization-policies \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"assetId": 4511247,
"policyIds": [
2,10,5
]
},
{
"assetId": 4511248,
"policyIds": [
2,11,6
]
}
] Example response 200
true true